Query Metrics V2
curl --request POST \
--url https://api.galileo.ai/v2/projects/{project_id}/metrics/search/v2 \
--header 'Content-Type: application/json' \
--header 'Galileo-API-Key: <api-key>' \
--data '
{
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"log_stream_id": "<string>",
"experiment_id": "<string>",
"metrics_testing_id": "<string>",
"filters": [
{
"column_id": "<string>",
"value": "<string>",
"operator": "eq",
"type": "id"
}
],
"interval": 5,
"group_by": "<string>"
}
'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}/metrics/search/v2"
payload = {
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"log_stream_id": "<string>",
"experiment_id": "<string>",
"metrics_testing_id": "<string>",
"filters": [
{
"column_id": "<string>",
"value": "<string>",
"operator": "eq",
"type": "id"
}
],
"interval": 5,
"group_by": "<string>"
}
headers = {
"Galileo-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Galileo-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_time: '2023-11-07T05:31:56Z',
end_time: '2023-11-07T05:31:56Z',
log_stream_id: '<string>',
experiment_id: '<string>',
metrics_testing_id: '<string>',
filters: [{column_id: '<string>', value: '<string>', operator: 'eq', type: 'id'}],
interval: 5,
group_by: '<string>'
})
};
fetch('https://api.galileo.ai/v2/projects/{project_id}/metrics/search/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group_by_columns": [
"<string>"
],
"aggregate_metrics": {},
"bucketed_metrics": {},
"ems_captured_error": false,
"standard_errors": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}trace
Query Metrics V2
Same as /metrics/search but returns metrics with node-type counts: trace (requests_count), session_count, and span_count in aggregate_metrics and in each bucket, similar to /metrics/custom_search.
POST
/
v2
/
projects
/
{project_id}
/
metrics
/
search
/
v2
Query Metrics V2
Authorizations
ClassicAPIKeyHeaderAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Body
application/json
Include traces from this time onward.
Include traces up to this time.
Log stream id associated with the traces.
Experiment id associated with the traces.
Metrics testing id associated with the traces.
filters
(LogRecordsIDFilter · object | LogRecordsDateFilter · object | LogRecordsNumberFilter · object | LogRecordsBooleanFilter · object | LogRecordsCollectionFilter · object | LogRecordsTextFilter · object | LogRecordsFullyAnnotatedFilter · object)[]
- LogRecordsIDFilter
- LogRecordsDateFilter
- LogRecordsNumberFilter
- LogRecordsBooleanFilter
- LogRecordsCollectionFilter
- LogRecordsTextFilter
- LogRecordsFullyAnnotatedFilter
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether any EMS error codes were encountered in the queried metrics
Structured EMS errors for each error code encountered, keyed by code
Show child attributes
Show child attributes
Was this page helpful?
⌘I